.all-in-one-section {
    position: relative;
    width: 100%;
    height: 90vh;
    min-height: 80vh;
    margin-top: 100px;
}

.all-in-one-line {
    position: relative;
    top: 80px;
    margin-left: 20%;
    background: linear-gradient(90deg, #e6421d, rgba(0, 0, 0, 0));
    height: 2px;
    width: auto;
    z-index: 1;
}

.all-in-one-bg-wrapper {
    position: absolute;
    top: 80px;
    width: 100%;
    height: calc(100% - 90px);
    overflow: hidden;
    z-index: 0;
}

.all-in-one-background {
    position: absolute;
    right: 0;
    left: 10%;
    height: calc(100% - 80px);
    width: calc(100% - 100px);
    object-fit: contain;
}

.all-in-one-overlay {
    position: absolute;
    top: 80px;
    left: 20%;
    width: 80%;
    height: 78%;
    background: linear-gradient(to bottom left, rgba(0, 0, 0, 0.5), rgba(115, 115, 115, 0.1));
}

.all-in-one-blur-bg {
    position: absolute;
    bottom: 0px;
    right: 0px;
    width: 100%;
    height: 35%;
    bottom: 10%;
    background: linear-gradient(179.8deg, rgba(155, 21, 21, 0), #000);
    pointer-events: none;
}

.all-in-one-text-group {
    position: absolute;
    top: 20%;
    left: 37%;
    width: 75%;
    max-width: 500px;
    z-index: 2;
}

.all-in-one-iphone {
    position: absolute;
    top: 0;
    left: 5%;
    width: 30vw;
    min-width: 220px;
    height: 100%;
    object-fit: contain;
    z-index: 1;
    object-position: top center;
}

.all-in-one-text-group .text-title {
    line-height: 24px;
}

@media (max-width: 768px) {

    .all-in-one-line {
        display: none;
    }

    .all-in-one-section {
        height: auto;
        margin-top: 40px;
        position: relative;
        overflow: hidden;
        margin-left: 0%;
    }

    .all-in-one-bg-wrapper {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        overflow: hidden;
        z-index: 0;
    }

    .all-in-one-background {
        position: absolute;
        left: 50%;
        bottom: 50px;
        transform: translateX(-50%);
        height: 100%;
        width: auto;
        opacity: 0.4;
        object-fit: contain;
    }

    .all-in-one-blur-bg .all-in-one-bg-wrapper {
        bottom: 50px;
    }

    .all-in-one-iphone {
        position: relative;
        width: 60%;
        max-width: 280px;
        left: 0px;
        height: 400px;
        margin: 0 auto 20px;
        display: block;
    }

    .all-in-one-text-group {
        position: relative;
        top: 0;
        left: 0;
        width: 100%;
        padding: 16px 16px 20px;
        max-width: 100%;
        text-align: center;
    }
}